package cn.nhyw.yjjl.dao;
import cn.base.dao.BaseSqlMapDAO;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

@Repository("nhywgyssbyjdDao")
public class NhywgyssbyjdDao  extends BaseSqlMapDAO{

	/**
	 * 增加记录
	 */
	public void insert_Nhywgyssbyjd(Map map) throws SQLException{
		this.insert("insert_Nhywgyssbyjd",map);
	}
	
	
	/**
	 * 批处理增加记录
	 */
	/*
	public void batch_insert_Nhywgyssbyjd(List batch) throws SQLException{
		this.insert("batch_insert_Nhywgyssbyjd",batch);
	}
	*/
	 
	/**
	 * 修改记录
	 */
	public Integer update_Nhywgyssbyjd(Map map) throws SQLException{
		return this.update("update_Nhywgyssbyjd",map);
	}
	
	
	/**
	 * 删除记录
	 */
	public Integer delete_Nhywgyssbyjd(Map map) throws SQLException{
		return this.delete("delete_Nhywgyssbyjd",map);
	}
	
	
	/**
	 * 批处理删除记录
	 */
	
	/*
	public Integer batch_delete_Nhywgyssbyjd(Map map) throws SQLException{
		return this.delete("batch_delete_Nhywgyssbyjd",map);
	}
	*/
	
	/**
	 * 查询总数
	 */
	public Integer count_Nhywgyssbyjd(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Nhywgyssbyjd",map);
	}
	
	
	/**
	 * 查询列表记录
	 */
	public List<Map> query_Nhywgyssbyjd(Map map) throws SQLException{
		return this.queryForPage("query_Nhywgyssbyjd",map);
	}
	
	
	/**
	 * 查询列表记录
	 */
	
	public Map get_Nhywgyssbyjd(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Nhywgyssbyjd",map);
	}
	

	// 查询移交单关联的电子集合设备信息 
	public List<Map> query_yjd_dzjh(Map map) throws SQLException{
		return this.queryForPage("query_yjd_dzjh",map);
	}
	public Integer count_yjd_dzjh(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_yjd_dzjh",map);
	}
}
